Last Comment Bug 470849 - Zonealarm: Firefox 3 stops loading pages; can't kill firefox.exe
: Zonealarm: Firefox 3 stops loading pages; can't kill firefox.exe
Status: RESOLVED INCOMPLETE
MV_ZA
:
Product: Plugins Graveyard
Classification: Graveyard
Component: Checkpoint Zonealarm (show other bugs)
: unspecified
: x86 Windows Vista
: -- critical
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 468634 471435 471654 476356 476376 478669 479405 517388 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 15:31 PST by michael glacken
Modified: 2016-04-28 09:04 PDT (History)
16 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description michael glacken 2008-12-22 15:31:26 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.5) Gecko/2008120122 Firefox/3.0.5
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.5) Gecko/2008120122 Firefox/3.0.5

Firefox 3 (all versions)
Vista Home Premium 32 bit
HP laptop with AMD

Firefox will suddenly stop being able to load pages, and shows the spinning circle on tabs waiting to be loaded.  This will go on forever, with no errors from either Firefox or Vista.  Firefox is not hung, and menus can be accessed.  Firefox appears to close normally (GUI and icon disappear), but the firefox.exe process is still running.  Windows task manager will not kill the process, but gives no error either.  Firefox will not restart, saying it is already running.

This seems to happen especially often (nearly always), when I access my email at sbcglobal.net.  I use the web server email program, and do not download messages to a PC client.  It works for a while, then pressing a link, or pressing an option on the email screen, and the spinning circles commence.

I almost always use this laptop with wireless (using the SBC 2Wire Portal 802.11g, but it happened before on my Belkin 802.11b just as much).  I haven't had it happen when wired, but don't use it much that way either.

This only goes away on a reboot.  A logoff will not suffice.  I have googled this and found very little.  If Firefox is running normally, I can kill the process, so it is not a permissions problem.

I discovered what I consider a bug in Vista.  I did a "start ; run ; services.msc" and tried to restart various services related to wireless, IP, etc.  I have confirmed that the service "WLAN Auto Config" will not restart when Firefox gets in this state (Firefox won't load pages and firefox.exe cannot be killed).  Services.msc eventually pops up an error.  I rebooted and went directly to services and this service would restart easily in a second or two.  I opened both Firefox and IE 7 and attempted to restart the service, which it did normally in just a second or two.  After this restart, both Firefox and IE7 still worked normally.

Vista would not even shut down completely after failing to restart this service; I had to hold the power button down to kill it after 10 minutes or so.  On startup, Vista asked me if I wanted to start normally, or other choices; I picked "normally".

This seems like a bug in Vista, because no O/S should allow a third party process, or any non-critical process to become immune to being killed.  I don't know if there is also a bug in Firefox as well.  

Microsoft is hard to contact, and may not care, so I am reporting only to you.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Tyler Downer [:Tyler] 2008-12-22 15:51:55 PST
Thank you for this report. However, in order to make it more useful, please follow the steps found at http://quality.mozilla.org/bug-writing-guidelines and report back with your results.

Also, if this is a bug in Vista, you will have to contact Microsoft. Mozilla has no affiliation with MS (obviously), and can not fix their software for them.
Comment 2 Ria Klaassen (not reading all bugmail) 2008-12-22 23:35:55 PST
Could be caused by a firewall-like program. See  http://kb.mozillazine.org/Firewalls
Comment 3 Matthias Versen [:Matti] 2008-12-23 01:37:10 PST
Do you use Zonealarm ?
Comment 4 michael glacken 2008-12-23 11:20:28 PST
re Comment #1: I will study this and improve the report.
re Comment #3: Yes, I use Zonealarm.  I started with the Zonealarm 7, now Zonealarm 8 (Clean install).
Comment 5 Matthias Versen [:Matti] 2008-12-23 13:25:02 PST
This is a Zonealarm issue.
That Firefox stops loading pages in the middle of running is a clear sign because we have no other bugs in 8 years that caused something like this.

That you can't kill the Firefox.exe process makes it clear that Firefox hangs in some kernel mode. Firefox doesn't install kernel mode drivers and is a true userspace application which can be always killed by the taskmanager.

You are not the first one with this issue with ZA.
This is the answer from their technical support :

If you would like to send out something that can be tried, please make sure that the customers are running version 
8.0.059.000.

If this issue persists, something may be corrupt in your ZoneAlarm settings.

Please go through the information below to reset your ZoneAlarm settings, and see if this helps you to resolve this issue.

This Information Applies to

ZoneAlarm Products version 7.0.462.000 and higher

Summary

I am having problems with ZoneAlarm, these problems could include:

- Programs keep asking for access after I grant access, and check the
remember settings.
- A program that was working, suddenly stopped working (was not
updated).
- No matter what I do I cannot get an application to work.
- There is a red X over the ZoneAlarm system tray icon.
- The TrueVector service will not start.
- I just upgraded something and the program is not working correctly.
- When recommended by Technical Support for other issues.

Solution

There may be a problem with your TrueVector service. ZoneAlarm is
dependent on its TrueVector service to function properly. You may need to
refresh the files associated with this service, especially after a networking
change, Windows OS change, or ZoneAlarm update.

To repair this problem, please follow the steps below. Please note that this
will remove your program permission settings (so you may want to make
note of them), but re-establishing them is a simple process.

1.) Hold down the Ctrl and Shift keys together
2.) Right click on the ZA icon near your clock
3.) Choose 'Reset' from the box that comes up
4.) Choose Yes on the Reset Settings dialog box
5.) When prompted, choose OK to restart your system
6.) Follow the on screen configuration prompts after reboot



-> invalid
Please contact the ZA support if you this doesn't solve your issue.
Comment 6 michael glacken 2008-12-23 13:36:10 PST
re: Comment #5 from Matthias Versen : Thanks a bunch Matthias!  I had gone to Zonealarm site and searched their bug reports, but found nothing quite close enough.  I'll try what you sent me.  If it does not work, I'll stop Zonealarm and see if I can then kill firefox.exe.  I'll also submit a report to Zonealarm. 

Don't you think there is still a bug in Vista that it cannot kill firefox.exe??
Comment 7 Matthias Versen [:Matti] 2008-12-23 14:08:26 PST
There is no bug in vista because you can't kill the process.
In an modern OS there are basically 2 kind of rings where something can be executed, one level is userspace and the other level is the kernelspace.

An application running in the userspace (like Firefox) can not access the hardware directly or crash something running in the kernelmode and that means that a userspace application can not crash the OS.

Something running in the kernelmode can access the hardware and can crash the whole os. Examples: the OS kernel itself, all hardware drivers like the graphic card drivers and a firewall driver.
A firewall driver must be a kernel mode driver because it would be stupid if an attacking userspace application would be able to simple stop the driver.

In this case the Firewall kernel mode driver hangs the firefox process and such a kernel mode driver can of not be killed with the taskmanager. That it hangs is always the fault of the kernelmode code (firewall driver).

You are the third (?) one with this issue in 2 weeks, another example is bug 468634
Comment 8 timeless 2008-12-23 16:47:49 PST
I used live chat from http://www.zonealarm.com/security/en-us/support/zonealarm-customer-service.htm <LTK15602224749X> to try to send this bug report to their tech support.
Comment 9 timeless 2008-12-23 16:50:34 PST
reporter, if you'd like to help out, it is possible to try to get a stack trace which would probably be helpful to zonealarm.

basically:
1. restore zonealarm
2. https://developer.mozilla.org/En/How_to_get_a_stacktrace_for_a_bug_report
3. when firefox gets stuck, use !analyze -v -hang in windbg

it should say something like DRIVER FAULT iirc. You can attach the output from !analyze -v -hang here.
Comment 10 Matthias Versen [:Matti] 2008-12-29 12:36:41 PST
*** Bug 471435 has been marked as a duplicate of this bug. ***
Comment 11 Matthias Versen [:Matti] 2008-12-29 12:39:26 PST
*** Bug 468634 has been marked as a duplicate of this bug. ***
Comment 12 Paul Mason 2008-12-30 05:29:23 PST
(In reply to comment #11)
> *** Bug 468634 has been marked as a duplicate of this bug. ***

At no pont did i say "Firefox Stops laoding pages" I said it carshes or stops working it has NEVER stopted working during a page load.
Comment 13 Matthias Versen [:Matti] 2008-12-30 07:01:56 PST
The "can not be killed with the taskmanager" is enough and it shows the real issue. This can only happen if Firefox is stuck in the kernek mode and Firefox itself doesn't install kernel mode drivers.

You might also want to read bug 468634#c4 and you should try comment#5 in this bug.
Comment 14 Paul Mason 2008-12-30 12:02:59 PST
(In reply to comment #13)
> The "can not be killed with the taskmanager" is enough and it shows the real
> issue. This can only happen if Firefox is stuck in the kernek mode and Firefox
> itself doesn't install kernel mode drivers.
> 
> You might also want to read bug 468634#c4 and you should try comment#5 in this
> bug.

NA I'll just dump firefox and go back to a RELIABLE program called INTERNET EXPLORE 7
Comment 15 Matthias Versen [:Matti] 2008-12-30 16:47:27 PST
Mozillazine Thread about this issue :
http://forums.mozillazine.org/viewtopic.php?f=38&t=939415&st=0&sk=t&sd=a
Comment 16 Paul Mason 2008-12-30 17:35:38 PST
(In reply to comment #15)
> Mozillazine Thread about this issue :
> http://forums.mozillazine.org/viewtopic.php?f=38&t=939415&st=0&sk=t&sd=a

Have you read ALL of the threads NO I don't think you had or you would have read this

"note I also have this issue on my work laptop which has no firewall (inside a corporate network) running xp pro sp2 and mcafee a/v only."
Comment 17 Paul Mason 2008-12-30 17:39:26 PST
(In reply to comment #16)
> (In reply to comment #15)
> > Mozillazine Thread about this issue :
> > http://forums.mozillazine.org/viewtopic.php?f=38&t=939415&st=0&sk=t&sd=a
> 
> Have you read ALL of the threads NO I don't think you had or you would have
> read this
> 
> "note I also have this issue on my work laptop which has no firewall (inside a
> corporate network) running xp pro sp2 and mcafee a/v only."

And that was posted in 2004 that would have been zone alam 4 or 5 back then just gose top show whos a fault and it'snot Zone labs but Firefox for not fixing known problems.
Comment 18 Matthias Versen [:Matti] 2008-12-31 06:30:26 PST
*** Bug 471654 has been marked as a duplicate of this bug. ***
Comment 19 Tyler Downer [:Tyler] 2008-12-31 07:55:03 PST
That post, which says he "DOES NOT HAVE A FIREWALL" could not be the same issue. Different problems sometimes have the same symptoms. But, since you are using IE now, it should not matter to you anymore, right?
Comment 20 Paul Mason 2008-12-31 08:30:09 PST
(In reply to comment #19)
> That post, which says he "DOES NOT HAVE A FIREWALL" could not be the same
> issue. Different problems sometimes have the same symptoms. But, since you are
> using IE now, it should not matter to you anymore, right?

We do not use MacFee so it's not that either.

For securiy reason we are NOT PERMITTED to disable, remove or uninstall any fire wall programs other than Windows Defender, which is disbled on the installation of Zone Alarm Pro.

This bug has been known about for FOUR (4) years now that demonstarts the fact that either the developers don't know how to fix it or more like they do not want to fix it so as to force the user of Fire Foxto into the use one of there  most probaly inferiour, products. I've seen this tack-tick more than once.

Yes I know problems can manifest them selfes in the same way but with a different cause. Just like an engin can have steam as well as normal exhast gases coming from the exhast, same manifestation of a possible problem but different causes of the problem.
Comment 21 Ria Klaassen (not reading all bugmail) 2008-12-31 09:17:13 PST
Paul Mason, have you tried copying your installation folder to another directory (e.g. to your desktop) and start it from there?

Personally I have only an old Tiny firewall, but from time to time a need to delete all permissions and fingerprints and restart the computer in order to correct the firewall's behaviour. This has always been a problem, probably because the application's code change so often, that this corrupts the firewall's configuration.
Comment 22 Matthias Versen [:Matti] 2008-12-31 09:34:52 PST
>For securiy reason we are NOT PERMITTED to disable, remove or uninstall any
>fire wall programs other than Windows Defender, which is disbled on the
>installation of Zone Alarm Pro.

I can understand this, the way you should go is to ask the Zonealarm support by email how you can fix the issue you are having with their product.

>This bug has been known about for FOUR (4) years now that demonstarts the fact
>that either the developers don't know how to fix it or more like they do not
>want to fix it so as to force the user of Fire Foxto into the use one of there 
>most probaly inferiour, products. I've seen this tack-tick more than once.
You have to learn to read Forum postings. The posts are not 4 years old, they are 1 month old. I don't know what you mean with 4 years but do you mean the date when the poster registered his Account on Mozillazine (date of posting above posting, date of Account registered at the left side) ?

As multiple times posted by multiple people, this can not be fixed by us and it's not our bug.

If you fill up the fuel tanks of a frigate in harbor X and the Engines are breaking shortly after the frigate the harbor because the fuel is contaminated with 20% water and the captain insist that it's the fault of the mechanics, that the engine doesn't work, what do you do as mechanic ?
and then the captain of another ship in your formation reports over radio that he had this the last year after leaving harbor Y and it was the fault of the mechanics followed by a third captain of a destroyer from the 1960 with steam boilers instead of modern engines reports that they have no issue with the same fuel.
(I assume, which could be wrong, that a steam boiler can work with 20% water in the fuel) 

Do you think now that it must be the fault of the mechanics after this reports ?

And for your person and your postings :
Please read https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Points 1.1 , 1.3 and  2.2 
If you do not follow the bugzilla etiquette your Account may be disabled.
Comment 23 Tyler Downer [:Tyler] 2008-12-31 10:04:25 PST
Putting Gerv here for moderation.
Comment 24 Gervase Markham [:gerv] 2009-01-01 12:10:33 PST
I can't see any evidence from the bug report, or the MozillaZine firewall page, that the symptoms reported here are a firewall problem. They aren't the same as other Firewall problems that Matti points to. The ZoneAlarm stuff you quote seems like generic debugging instructions for apps which don't work, not a specific response to a Firefox problem. I'd be interested to hear back from the original reporter as to whether disabling ZoneAlarm fixed the problem.

> That Firefox stops loading pages in the middle of running is a clear sign
> because we have no other bugs in 8 years that caused something like this.

I very much doubt that's true.

Matti: while Paul does need to calm down, it does seem that you are marking a lot of problems as "problems with ZoneAlarm" without being clear as to why you think that's the issue. If Firefox hangs, and the person is using ZoneAlarm, that doesn't mean that one caused the other. So I can see why people are getting upset.

Gerv
Comment 25 Matthias Versen [:Matti] 2009-01-01 18:23:10 PST
Gerv: 
the usual case is that the Firefox.exe gets updated and the CRC checksum doesn't match the CRC checksum for Firefox in the Firewall config. The firewall blocks Firefox in that case. Nearly all Firewalls are notifying the user about this CRC mismatch. If the Firewall doesn't do that or the user doesn't confirm a CRC update for the firewall config you get the usual support issue that we have every time after an upgrade : The firewall blocks the network connection of the Firefox.exe process.

This case here is different and the point why this is a clear Firewall driver bug is the fact that the Firefox.exe can't be killed by the taskmanager. This shows that the process is hanging in some kernel mode and since Firefox doesn't install kernel mode drivers it can't be Firefox fault.

Disabling the firewall might not help because the driver is still running, it just lets everything go through and Firefox may still trigger the bug in the driver which would result in a process that can not be killed. In the case of the crc mismatch, such a disabled firewall usually still blocks Firefox.
One older example is that a user uninstalled Norton (?) but the uninstaller didn't remove the driver from the system. After an Firefox upgrade he had a not working firefox. (just to show that disabling the firewall may not help in this case)
 
We would get the same symptoms if we would hit a OS bug but I'm sure that isn't the case here because this happens only with ZA.

If you want it confirmed that this is a ZA issue then read bug 468634 which is duped to this one.It's one of the first bugs reported in bugzilla and I started to dupe bugs only later to show for example the ZA support that this is a major issue.

I don't point to the usual other firewall issues, i only pointed to a MZ.org Forums thread with the exact same issue as this one (Vista only,seems to be ok with XP, Zonealarm installed, not killable process). You only have to filter out the usual noise in such a thread.
I contacted the ZA support myself to point them to the issue and get it fixed but they only gave me some things that the users should try. timeless contacted them later via live chat to point them again to this issue.

Paul can't remove Za from his system because he isn't allowed to do that.
I suggested that he should contact the ZA support but he rejected that.
BTW: the major issue with Paul is in bug 471435 together with this bug. I mostly replied there because I tried to avoid spam comments in this dupe target.
ok, my response is not always very friendly, sorry for that but the duping is correct and the reasons why I marked this bug invalid is right.

Again, this are all different issues:
a) Firefox hangs on exit
b) Firefox hangs on exit and can't be killed with the taskmanager
c) Firefox "can't connect" after an upgrade
d) Firefox stops loading pages in the middle of running

b) and in most cases together with d) is this bug, a) or d) alone are Firefox or addon issues and c) is a Firewall issue
Comment 26 michael glacken 2009-01-06 11:53:57 PST
re: Comment #5 from Matthias Versen :  I tried the reset zonealarm and it did not work.  I completely uninstalled ZA and reinstalled it from their website.  Same Problem.  I also use Alwil avast! antivirus 4.8 (free), so I went to their support site, and they had some special instructions for firefox: Proxy server settings for Firefox : "tools ; options ; connection settings ; manual proxy ; HTTP :localhost 12080".  Their video loooked like it was for firefox 2, but I tried it anyway.

The Problem seems to be better, but not gone away.

I'm considering moving to Comodo firewall with built in antivirus (free).  Does anyone have experience with that?  This is my own computer, so I can install anything I want.

re: Comment #25 from Matthias Versen : I don't think the CRC is the problem.  Whenever I update firefox, or even patch IE, ZA always catches it and prompts me for a re-confirmation of "Allow" and I say "Yes" and "remember this setting".

I appreciate all the help you have given me, everyone.

I wonder why, if a product like a firewall or an AV are going to start blocking traffic, they don't announce it with a warning or error.
Comment 27 Matthias Versen [:Matti] 2009-01-07 09:07:14 PST
This is not the usual CRC change with blocking or something that is causing ZA ZA to block Firefox in the middle of running based of some Firewall rules.
This is a bug in their Firewall driver that is installed in the windows TCP/IP stack.

There is nothing else you can do If you already tried the steps from comment #5.
I would try to contact the ZA support per mail or live chat but it's difficult to get through their first level of support that usually helps users with issues that are caused by the users itself and not with real bugs in their products.
Comment 28 Paul Mason 2009-01-07 09:24:04 PST
(In reply to comment #27)
> This is not the usual CRC change with blocking or something that is causing ZA
> ZA to block Firefox in the middle of running based of some Firewall rules.
> This is a bug in their Firewall driver that is installed in the windows TCP/IP
> stack.
> 
> There is nothing else you can do If you already tried the steps from comment
> #5.
> I would try to contact the ZA support per mail or live chat but it's difficult
> to get through their first level of support that usually helps users with
> issues that are caused by the users itself and not with real bugs in their
> products.

I'm now having this problem with the fire wall that comes with system sute 9 by Vcom (Avenquesst). According to Vcom (Avequest) it is some encoding within Firefox that is causing problems with some forewall programs and that nothing can be done as they can not get a copy of the encoding to look at and test with ther eproducts and as I have used sutesute since version 4 I have no dubt that Vcom are correct as they have never in my experiance passed the buck on to another programs.
Comment 29 Matthias Versen [:Matti] 2009-01-07 09:46:12 PST
It's possible that you get this with a different Firewall but i don't know which issue they have to fix it. They have just to attach a debugger to their Firewall driver and it should easy find the bug since they should have the source code of their product.
Comment 30 Geoff Bayes 2009-01-08 06:11:51 PST
Okay, I've tried the Zonealarm reset procedure but it seems to have no effect, the problems with Firefox recurring within thirty minutes of use.

So I've turned Zonealarm off completely (relying on the router firewall) and removed it from the Startup folder. This also had no effect on the Firefox problem. It still ceases to load sites and firefox.exe still cannot be killed within the Task Manager or from the command line.

I've now stopped trying to solve this issue, there are other browsers available. I'm running IE7, still with Zonealarm turned off, and three hours of use have passed without incident. If this continues I will turn Zonealarm back on and see if that has any effect.
Comment 31 Ria Klaassen (not reading all bugmail) 2009-01-08 06:45:24 PST
Small chance that it is http://kb.mozillazine.org/Firefox.exe_always_open
although it doesn't sound that way (with this trojan installed it is possible to kill the firefox.exe process but it reappears).

Did someone already try comment 21? And comment 9?
Comment 32 Paul Mason 2009-01-08 07:01:06 PST
(In reply to comment #30)
> Okay, I've tried the Zonealarm reset procedure but it seems to have no effect,
> the problems with Firefox recurring within thirty minutes of use.
> 
> So I've turned Zonealarm off completely (relying on the router firewall) and
> removed it from the Startup folder. This also had no effect on the Firefox
> problem. It still ceases to load sites and firefox.exe still cannot be killed
> within the Task Manager or from the command line.
> 
> I've now stopped trying to solve this issue, there are other browsers
> available. I'm running IE7, still with Zonealarm turned off, and three hours of
> use have passed without incident. If this continues I will turn Zonealarm back
> on and see if that has any effect.

I've done exactly the same thing as you dichet Firefox due as much as anything else to the lack of help and the passing of the buck to other software.

They have also ignored the FACT that this problem is happening not only with Zomealarm but with other firewall programs as well.
Comment 33 Paul Mason 2009-01-08 07:01:51 PST
(In reply to comment #31)
> Small chance that it is http://kb.mozillazine.org/Firefox.exe_always_open
> although it doesn't sound that way (with this trojan installed it is possible
> to kill the firefox.exe process but it reappears).
> 
> Did someone already try comment 21? And comment 9?

Yep I tried both and it still resultd in the problem reoccring with in munutes.
Comment 34 Paul Mason 2009-01-08 07:05:58 PST
(In reply to comment #31)
> Small chance that it is http://kb.mozillazine.org/Firefox.exe_always_open
> although it doesn't sound that way (with this trojan installed it is possible
> to kill the firefox.exe process but it reappears).
> 
> Did someone already try comment 21? And comment 9?

As for Trojans None this has also happend on a clean install, HD formatted etc of XP Pro as well as Vista Ultimate. With my AV software set tosacn all files auto scanned every day, All registarty keys are auto scanned every day my laptop and desktop are about as clean as possible.
Comment 35 Ria Klaassen (not reading all bugmail) 2009-01-08 07:12:12 PST
If you (or someone else) did comment 9, please attach the output to this bug. This will help to analyze the problem.
Comment 36 Matthias Versen [:Matti] 2009-01-08 12:57:14 PST
Paul: we don't ignore the facts because it's 150% sure that this can not be our bug. It's very simple: If you can't kill the process it's hanging outside of firefox and it's not Firefox fault.

If you are interested:
http://en.wikipedia.org/wiki/Ring_(computer_security)
http://blogs.msdn.com/oldnewthing/archive/2004/07/23/192531.aspx

Geoff:
I expected that disabling the Firewall doesn't help at all because the filter driver is still active, you have to remove ZA for a test. (it seems that I have to repeat myself several times, see comment#25 where i explained that already).
Can you please remove the firewall for a test, you should be save if you are behind a router with NAT.
Comment 37 Paul Mason 2009-01-08 15:52:03 PST
If it 150% surity the then please explane to me WHY is this STILL happening with NO FIRTEWALL and NO AV software installed and on Two totaly differnet computers with two different versions of Windows,these being XP Pro SP2 and ALL updates to date and Vista Ultimate and with windows defender disable ,on my Vist machine

I have even gone as far as as total reinstall of XP Pro and nothing other than the diver softwaer for my BThome Hub (youy'll be blaming than next) and Firefox on one machine, that means NO FIRE WALL NO AV PROGRAMS and Firefox is STILL stoping with out reason and inability to kill the program via Task Manager is STILL  happening.

So in conclusion with this STILL happening even on a bearbones computer I can saflty say that 150% of no surety is STILL NO SURITY that it is either a Firewall Program or an AV Program to blame
Comment 38 Matthias Versen [:Matti] 2009-01-08 16:23:24 PST
then you either mix different things (firefox hangs on shutdown and firefox hangs on shutdown and can not be killed) or you have other issues on your system.
In that case contact the Microsoft support.
You should also use comment#9 to get enough information that you can send them.
Comment 39 Paul Mason 2009-01-08 17:03:10 PST
WHAT OTHER ISSUES CAN I HAVE ON A BEARBONES SYTEM ?? 

NONE

JUST AS I PREDICTED YOUR INDIRECTLT BLAMING EITHER MY BT HOME HUB or DELL.

YOU SEE I HAVE ALSO BEEN WORKING WITH DELL, THATS WHO SUGGESTED TRYING A BAREBONES SYTSEM, SO YUOR ALSO SAYING THAT THERE WRONG.
Comment 40 michael glacken 2009-01-14 10:06:23 PST
bug 470849:
1)I completely uninstalled ZA using the ZA uninstall, and am now using only the Windows firewall and the hardware firewall in my router.  So far, it has been working fine, but will keep you posted.

2) There is another issue with the DHCP BROADCAST flag in Vista which affects only certain routers.  Please refer to link: http://support.microsoft.com/kb/928233  "Windows Vista cannot obtain an IP address from certain routers or from certain non-Microsoft DHCP servers".  I'm wondering if Paul has the same problems when connecting wired & wireless.
Comment 41 Paul Mason 2009-01-14 10:24:07 PST
(In reply to comment #24)
> I can't see any evidence from the bug report, or the MozillaZine firewall page,
> that the symptoms reported here are a firewall problem. They aren't the same as
> other Firewall problems that Matti points to. The ZoneAlarm stuff you quote
> seems like generic debugging instructions for apps which don't work, not a
> specific response to a Firefox problem. I'd be interested to hear back from the
> original reporter as to whether disabling ZoneAlarm fixed the problem.
> > That Firefox stops loading pages in the middle of running is a clear sign
> > because we have no other bugs in 8 years that caused something like this.
> I very much doubt that's true.
> Matti: while Paul does need to calm down, it does seem that you are marking a
> lot of problems as "problems with ZoneAlarm" without being clear as to why you
> think that's the issue. If Firefox hangs, and the person is using ZoneAlarm,
> that doesn't mean that one caused the other. So I can see why people are
> getting upset.
> Gerv

After reading an article on ZD Net, in particular about Firefox code causing problems and Moxilla actually ADMITTING to tht. Yet WE, on here, seem to be getting tould the exact opposite that there are no problems with the Firefox Code thast it is our systems or our other proghrams. Looks more like no one really knows.

Any how I fixed this problem with Revo Uninstall it remove every trace of this trouble some program. I MIGH some day IF all the problems ever get sorted think about using Firefox, ther agin I think not.
Comment 42 Paul Mason 2009-01-14 10:32:15 PST
(In reply to comment #40)
> bug 470849:
> 1)I completely uninstalled ZA using the ZA uninstall, and am now using only the
> Windows firewall and the hardware firewall in my router.  So far, it has been
> working fine, but will keep you posted.
> 2) There is another issue with the DHCP BROADCAST flag in Vista which affects
> only certain routers.  Please refer to link:
> http://support.microsoft.com/kb/928233  "Windows Vista cannot obtain an IP
> address from certain routers or from certain non-Microsoft DHCP servers".  I'm
> wondering if Paul has the same problems when connecting wired & wireless.

I don't have a wireless connection on my Vist machine it has no problems with obtaining the IP address on/via a BT Home Hub via LAN cable.

My laptop is wireless but that runs XP PRO SP2 that has no problems with obtaining the IP address on/via a BT Home Hub
Comment 43 Matthias Versen [:Matti] 2009-02-01 07:22:43 PST
*** Bug 476356 has been marked as a duplicate of this bug. ***
Comment 44 Nochum Sossonko [:Natch] 2009-02-01 12:33:08 PST
*** Bug 476376 has been marked as a duplicate of this bug. ***
Comment 45 Paul Mason 2009-02-01 12:45:21 PST
(In reply to comment #42)
> (In reply to comment #40)
> > bug 470849:
> > 1)I completely uninstalled ZA using the ZA uninstall, and am now using only the
> > Windows firewall and the hardware firewall in my router.  So far, it has been
> > working fine, but will keep you posted.
> > 2) There is another issue with the DHCP BROADCAST flag in Vista which affects

> > only certain routers.  Please refer to link:
> > http://support.microsoft.com/kb/928233  "Windows Vista cannot obtain an IP
> > address from certain routers or from certain non-Microsoft DHCP servers".  I'm
> > wondering if Paul has the same problems when connecting wired & wireless.
> I don't have a wireless connection on my Vist machine it has no problems with
> obtaining the IP address on/via a BT Home Hub via LAN cable.
> My laptop is wireless but that runs XP PRO SP2 that has no problems with
> obtaining the IP address on/via a BT Home Hub

SOLVED THIS PERMANTLY, AFTER RAEDING AN ARTICLE ON ZDNET FROM THE VERY PEPOLE WHO ARE TELLING US THAT THERE ARE NO PROBLEMS WITH FIREFOX TELLING THE COMPUTER PRESS THE EXACT OPPISIT, I REMOVED IT TOTAL AND INSTALLED INTERENT EXPLORER 8 JUST AS FAST BUT MORE IMPORTANLY TOTALY RELIABLE
Comment 46 kbash33 2009-02-05 12:40:41 PST
I'm new to Bugzilla.  This is my first entry.  I've been a satisfied Firefox user for 3 years.  During that time I used Firefox with Windows XP and the ZA free firewall on a desktop and a laptop.  Never had a problem of any kind.  

Three weeks ago I set up my new Dell Inspiron 530s desktop with Vista Premium Home Edition.  I installed the latest versions of Firefox and ZA, and I've kept them up to date since.  I'm now running Firefox 3.0.6 and the .065. version of ZA Free.  This is my home computer and I'm connected to the internet via Cox Cable.

In the past week I started to experience the problem described in this bug report.

But when it happens, I'm able to open Internet Explorer and continue browsing the web.

If it's not a problem intrinsic to the Firefox code, then it must have something to do with how Firefox is interacting with other programs, e.g. Vista or ZA.

I will try uninstalling ZA and running with the Windows Firewall to see what happens.

Ken
Comment 47 michael glacken 2009-02-05 13:52:20 PST
re: Comment #40 From  michael glacken   2009-01-14 10:06:23 PST
I uninstalled ZA on this date, 2009-01-14, and the problem immediately went away and has NEVER occurred again.  I am still only using the Windows firewall and my router's firewall, but would like to install a higher quality PC firewall, but don't want a repeat of all my woes.
 
re Comment #46 From  kbash33@cox.net   2009-02-05
I also could sometimes still use IE, but the problem usually seemed to happen sooner or later with IE too (pages would not load).  IE was not necessarily hung, but it stopped performing.
Comment 48 Matthias Versen [:Matti] 2009-02-05 14:02:29 PST
if you read this bug you have to first ignore from user like comment #45 :-)

It seems that this mostly happens on Vista. Vista got a new TCP/IP stack and it's possible that the ZA driver which is injected in the middle of the windows TCP/IP stack have some compatibility issues. This seems to be only triggered with Firefox but the driver itself hangs. That is the reason why you can't kill the Firefox.exe process because the driver runs on a higher level in the Operating system (kernel mode).
Every application like Firefox must/can be only compatible with Windows and any incompatibility issues introduced by Firewall drivers are their fault.

I know it's hard because i tried it myself but this should be reported over and over to the ZA support or they will never fix it.
Comment 49 Matthias Versen [:Matti] 2009-02-20 18:01:35 PST
*** Bug 479405 has been marked as a duplicate of this bug. ***
Comment 50 michael glacken 2009-02-23 13:27:37 PST
I originally stated that Firefox usually hung when I accessed my email account on-line (I also had latest ZA installed on Vista SP1.  I just read this on a Microsoft doc about Vista SP2 which seems to indicate bugs in Vista SP1: http://technet.microsoft.com/en-us/library/dd335036.aspx?ITPID=sprblog:
Application compatibility improvements

... We use this information to focus improvements in Windows, but we also share this information with our software vendor partners to help improve the reliability and compatibility of non-Microsoft applications. For example, in Windows Vista SP2, Spysweeper and ZoneAlarm, now work with POP3 e-mail accounts.
Comment 51 kbash33 2009-02-23 14:01:14 PST
I removed ZA and installed the PC Tools Free Firewall about 2 weeks ago.  Have not had a single problem since then.

Ken
Comment 52 Matthias Versen [:Matti] 2009-07-07 17:30:59 PDT
*** Bug 478669 has been marked as a duplicate of this bug. ***
Comment 53 Jim Martin 2009-07-22 22:41:13 PDT
This problem was driving me crazy, so I also switched from Zone Alarm to PC Tools Free Firewall about three months ago, and I haven't had the same problem since then. However, fairly often Vista would report Firefox "Not Responding," usually only for a few seconds, but sometimes for as long as a minute or so, although it always recovered eventually. I thought it might be another firewall issue, so few days ago I switched again, this time to the COMODO free firewall, and I never have either problem any more.
Comment 54 Matthias Versen [:Matti] 2009-07-23 02:36:05 PDT
Just a "not responding" which is a hang/freeze is usually a Firefox issue and not a Firewall one. The ZA bug is special because, you can not kill the Firefox process in the taskmanager, only that makes it to a sure ZA bug.

The not responding can be a Firefox bug itself or it's often caused by addons but I'm surprised that a Firewall change helped in your case.
try http://support.mozilla.com/en-US/kb/Safe+Mode first if you encounter such issues.
Comment 55 spamishorrible 2009-09-18 20:48:35 PDT
*** Bug 517388 has been marked as a duplicate of this bug. ***
Comment 56 awraffdsfsfdf 2009-12-15 12:39:03 PST
new ZA free - version 9.1.007.002 and still same problem

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-GB; rv:1.9.1.5) Gecko/20091102 
Firefox/3.5.5 (.NET CLR 3.5.30729)
Comment 57 Tyler Downer [:Tyler] 2009-12-15 12:41:03 PST
Please report to zonealarm. As this bug clearly states, they need to fix it.
Comment 58 Jeff Byer 2010-03-08 10:30:17 PST
This problem continues to with Firefox 3.6, so why is the status marked as VERIFIED INVALID?  I don't see anything invalid about it.
Comment 59 Jeff Byer 2010-03-08 10:31:53 PST
Perhaps https://bugzilla.mozilla.org/show_bug.cgi?id=468634 is not a duplicate of this bug?
Comment 60 Tyler Downer [:Tyler] 2010-03-08 10:41:10 PST
Jeff, it is marked INVALID because it is not a bug in firefox. We can't fix it. Zonealarm needs to update their software.
Comment 61 Jeff Byer 2010-03-08 12:09:19 PST
Thanks for the clarification. Is Bug 531558 the current Zonealarm bug being used to track and resolve this issue?
Comment 62 Tyler Downer [:Tyler] 2010-03-08 12:11:50 PST
Bug 531558 is not. This is the bug that issues should be duped to. Zonealarm needs to be made aware by their customers.
Comment 63 Jeff Byer 2010-03-08 12:32:12 PST
Gotcha...Zonealarm is not a part of Mozilla.  But isn't Mozilla one of the major customers of Zonealarm.  I,m not aware of any programs running on my Windows XP systems from Zonealarm and I never had this issue until I upgraded to Firefox 3.6. Shouldn't Mozilla be tracking the resolution of their bug?
Comment 64 Tyler Downer [:Tyler] 2010-03-08 12:39:38 PST
No, neither firefox nor mozilla is affialiated with zonealarm in anyway. I'm not sure what you mean by "customer".
What probably happened is that their were changes in firefox 3.6 that made the addon incompatible with firefox 3.6, and zonealarm just hasn't updated it. We can't guarantee that every addon will always work in every version of firefox, cause no change will happen then.
Comment 65 timeless 2011-03-28 14:35:15 PDT
We're now tracking such bugs. This doesn't mean it's something we can fix, merely something we hope to be able to point vendors to so they can investigate. This is an automated message.
Comment 66 Benjamin Smedberg [:bsmedberg] 2016-04-26 10:34:34 PDT
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.

Note You need to log in before you can comment on or make changes to this bug.